Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::ICameraProperties Class Reference
CameraDevice

Interface to the core CameraDevice properties. More...

`#include <CameraDevice.h>`

Inheritance diagram for Argus::ICameraProperties:

List of all members.

## Public Member Functions
virtual UUID | getUUID () const =0
| Returns the camera UUID.
virtual SensorPlacement | getSensorPlacement () const =0
| Returns the camera sensor placement position on the module.
virtual uint32_t | getMaxAeRegions () const =0
| Returns the maximum number of regions of interest supported by AE.
virtual Size2D< uint32_t > | getMinAeRegionSize () const =0
| Returns the minimum size of resultant region required by AE.
virtual uint32_t | getMaxAwbRegions () const =0
| Returns the maximum number of regions of interest supported by AWB.
virtual uint32_t | getMaxAfRegions () const =0
| Returns the maximum number of regions of interest supported by AF.
virtual Status | getBasicSensorModes (std::vector< SensorMode * > *modes) const =0
| Returns only the basic available sensor modes that do not have an associated extension.
virtual Status | getAllSensorModes (std::vector< SensorMode * > *modes) const =0
| Returns all the available sensor modes including the ones that have extensions.
virtual Status | getAperturePositions (std::vector< int32_t > *positions) const =0
| Returns all the recommended aperture positions.
virtual Status | getAvailableApertureFNumbers (std::vector< float > *fnumbers) const =0
| Returns all the available aperture f-numbers.
virtual Range< int32_t > | getFocusPositionRange () const =0
| Returns the valid range of focuser positions.
virtual Range< int32_t > | getAperturePositionRange () const =0
| Returns the valid range of aperture positions.
virtual Range< float > | getApertureMotorSpeedRange () const =0
| Returns the valid range of aperture step positions per second.
virtual Range< float > | getIspDigitalGainRange () const =0
| Returns the supported range of ISP digital gain.
virtual Range< float > | getExposureCompensationRange () const =0
| Returns the supported range of Exposure Compensation.
virtual const std::string & | getModelName () const =0
| Returns the model name of the device.
virtual const std::string & | getModuleString () const =0
| Returns the module string for the device.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ICameraProperties ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to the core CameraDevice properties.

Definition at line 68 of file CameraDevice.h.

## Constructor & Destructor Documentation

Argus::ICameraProperties::~ICameraProperties | ( |  | ) |
| inline protected

Definition at line 200 of file CameraDevice.h.

## Member Function Documentation

virtual Status Argus::ICameraProperties::getAllSensorModes | ( | std::vector< SensorMode * > * | modes | ) | const
| pure virtual

Returns all the available sensor modes including the ones that have extensions.

The extended modes support some form of Wide Dynamic Range (WDR) technology.

All the returned modes will support the basic sensor mode interface.

See also:
  ISensorMode

Parameters:

  [out] | modes | A vector that will be populated with the sensor modes.

Returns:
  success/status of the call.

virtual Range<float> Argus::ICameraProperties::getApertureMotorSpeedRange | ( |  | ) | const
| pure virtual

Returns the valid range of aperture step positions per second.

The units are aperture motor steps/second.

virtual Range<int32_t> Argus::ICameraProperties::getAperturePositionRange | ( |  | ) | const
| pure virtual

Returns the valid range of aperture positions.

The units are aperture positions.

virtual Status Argus::ICameraProperties::getAperturePositions | ( | std::vector< int32_t > * | positions | ) | const
| pure virtual

Returns all the recommended aperture positions.

Parameters:

  [out] | positions | a vector that will be populated with the aperture positions.

Returns:
  success/status of the call.

virtual Status Argus::ICameraProperties::getAvailableApertureFNumbers | ( | std::vector< float > * | fnumbers | ) | const
| pure virtual

Returns all the available aperture f-numbers.

Parameters:

  [out] | fnumbers | A pointer to a vector to be populated with the aperture f-numbers.

Returns:
  success/status of the call.

virtual Status Argus::ICameraProperties::getBasicSensorModes | ( | std::vector< SensorMode * > * | modes | ) | const
| pure virtual

Returns only the basic available sensor modes that do not have an associated extension.

Basic mode types include Depth, RGB, YUV and Bayer types.

Parameters:

  [out] | modes | A vector that will be populated with the sensor modes.

Returns:
  success/status of the call.

virtual Range<float> Argus::ICameraProperties::getExposureCompensationRange | ( |  | ) | const
| pure virtual

Returns the supported range of Exposure Compensation.

virtual Range<int32_t> Argus::ICameraProperties::getFocusPositionRange | ( |  | ) | const
| pure virtual

Returns the valid range of focuser positions.

The units are focuser steps.

virtual Range<float> Argus::ICameraProperties::getIspDigitalGainRange | ( |  | ) | const
| pure virtual

Returns the supported range of ISP digital gain.

virtual uint32_t Argus::ICameraProperties::getMaxAeRegions | ( |  | ) | const
| pure virtual

Returns the maximum number of regions of interest supported by AE.

A value of 0 means that the entire image is the only supported region of interest.

See also:
  IAutoControlSettings::setAeRegions()

virtual uint32_t Argus::ICameraProperties::getMaxAfRegions | ( |  | ) | const
| pure virtual

Returns the maximum number of regions of interest supported by AF.

A value of 0 means that the entire image is the only supported region of interest.

See also:
  IAutoControlSettings::setAfRegions()

virtual uint32_t Argus::ICameraProperties::getMaxAwbRegions | ( |  | ) | const
| pure virtual

Returns the maximum number of regions of interest supported by AWB.

A value of 0 means that the entire image is the only supported region of interest.

See also:
  IAutoControlSettings::setAwbRegions()

virtual Size2D<uint32_t> Argus::ICameraProperties::getMinAeRegionSize | ( |  | ) | const
| pure virtual

Returns the minimum size of resultant region required by AE.

See also:
  IAutoControlSettings::setAeRegions()

virtual const std::string& Argus::ICameraProperties::getModelName | ( |  | ) | const
| pure virtual

Returns the model name of the device.

virtual const std::string& Argus::ICameraProperties::getModuleString | ( |  | ) | const
| pure virtual

Returns the module string for the device.

Contains the device's name, position, and partial model number. This string is unique for each device on the system.

virtual SensorPlacement Argus::ICameraProperties::getSensorPlacement | ( |  | ) | const
| pure virtual

Returns the camera sensor placement position on the module.

virtual UUID Argus::ICameraProperties::getUUID | ( |  | ) | const
| pure virtual

Returns the camera UUID.

In UUID, clock_seq contains low 16 bits of GUID, node[6] contains high 48 bits of GUID.

static const InterfaceID& Argus::ICameraProperties::id | ( |  | ) |
| inline static

Definition at line 71 of file CameraDevice.h.

The documentation for this class was generated from the following file:

- include/Argus/CameraDevice.h